<div class="patient-search-autocomplete-container">
  <div class="d-flex align-items-center" id="patient-search-field-ic" style="padding-left: 10px;">
    <img src="./assets/ic-search.png"/>
  </div>

  <kendo-autocomplete
    #patientSearch
    id="patient-search-autocomplete"
    [placeholder]="getPlaceHolder"
    class="patient-search-autocomplete w-100"
    [data]="patientList"
    [valueField]="value"
    [value]="_value"
    [filterable]="true"
    [popupSettings]="{popupClass: 'patient-list-search-popup'}"
    (valueChange)="handleChange($event, false)"
  >
    <!-- ITEM LIST -->
    <ng-template kendoAutoCompleteItemTemplate let-dataItem>

      <div class="w-100 patient-search-dropdown-item" (click)="handleChange(dataItem)">
        <!-- Name & ID -->
        <div class="d-flex">
          <div class="flex-fill">
            <span>{{dataItem.name}}</span>
            <span> (M)</span>
          </div>
          <div>
            <span>ID: </span>
            <span>{{dataItem.ID}}</span>
          </div>
        </div>

        <!-- Phone Number & Birth Date -->
        <div class="d-flex" style="margin-top: 8px;">
          <div class="flex-fill d-flex align-items-center" *ngIf="dataItem.birthDate">
            <img src="./assets/ic-birth-date.png" class="mr-2"/>
            {{dataItem.birthDate}}
          </div>
          <div class="d-flex align-items-center" *ngIf="dataItem.phone">
            <img src="./assets/ic-mobile.png" class="mr-2"/>
            {{dataItem.phone}}
          </div>
        </div>

        <!-- EMAIL -->
        <div class="d-flex" style="margin-top: 10px;" *ngIf="dataItem.email">
          <div class="flex-fill d-flex align-items-center">
            <img src="./assets/ic-email.png" class="mr-2"/>
            {{dataItem.email}}
          </div>
        </div>
      </div>

    </ng-template>

    <!-- FOOTER -->
    <ng-template kendoAutoCompleteFooterTemplate>
      <div class="patient-search-dropdown-footer d-flex align-items-center">
                <span class="result-found flex-fill">
                  {{patientList.length}} results found
                </span>
        <div class="add-patient-container" *ngIf="!isHideAdd">
          <a class="d-flex align-items-center cursor-pointer">
            <img src="./assets/ic-user-add.png" class="mr-2"/>
            <span (click)="redirectHandle('true')" class="textunderline">Add Patient</span>
          </a>
        </div>
      </div>
    </ng-template>
  </kendo-autocomplete>

</div>
